rhythmbox crashed with SIGSEGV in rb_source_try_playlist()

Bug #148361 reported by David Gwilliam on 2007-10-03
28
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Rhythmbox
Fix Released
Critical
rhythmbox (Ubuntu)
Medium
Ubuntu Desktop Bugs

Bug Description

Binary package hint: rhythmbox

I suspect rhythmbox had a problem trying to connect to a 10,000 song mt-daapd share on a computer which keeps changing it's own IP address.

ProblemType: Crash
Architecture: i386
Date: Tue Oct 2 12:00:59 2007
DistroRelease: Ubuntu 7.10
ExecutablePath: /usr/bin/rhythmbox
NonfreeKernelModules: cdrom
Package: rhythmbox 0.11.2-0ubuntu4
PackageArchitecture: i386
ProcCmdline: rhythmbox
ProcCwd: /home/david
ProcEnviron:
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=en_US.UTF-8
 SHELL=/bin/bash
Signal: 11
SourcePackage: rhythmbox
StacktraceTop:
 rb_source_try_playlist ()
 ?? ()
 ?? ()
 ?? ()
 ?? ()
Title: rhythmbox crashed with SIGSEGV in rb_source_try_playlist()
Uname: Linux david-laptop 2.6.22-12-generic #1 SMP Sun Sep 23 18:11:30 GMT 2007 i686 GNU/Linux
UserGroups: adm admin audio cdrom dialout dip floppy lpadmin netdev plugdev powerdev scanner video
SegvAnalysis:
 Segfault happened at: 0xb7ecf15e <rb_source_try_playlist+14>: call *0x210(%edx)
 PC (0xb7ecf15e) ok
 source "*0x210(%edx)" (0x00000210) not located in a known VMA region (needed readable region)!
SegvReason: reading NULL VMA

Related branches

David Gwilliam (dhgwill) wrote :

StacktraceTop:rb_source_try_playlist (source=0x85217b8) at rb-source.c:933
rb_shell_player_set_playing_entry (player=0x8278020, entry=0x8903b18,
rb_shell_player_do_next_internal (player=0x8278020, from_eos=1, error=0xbfa42dc8)
rb_shell_player_handle_eos_unlocked (player=0x8278020, entry=0x8c25460) at rb-shell-player.c:731
rb_shell_player_handle_eos (player=0x81c01f0, entry=0x8c25460, shell_player=0x8278020)

Changed in rhythmbox:
importance: Undecided → Medium
Pedro Villavicencio (pedro) wrote :

Thanks for your bug report. This bug has been reported to the developers of the software. You can track it and make comments here: http://bugzilla.gnome.org/show_bug.cgi?id=482955

Changed in rhythmbox:
assignee: nobody → desktop-bugs
status: New → Triaged
Changed in rhythmbox:
status: Unknown → New
Kees Cook (kees) on 2009-09-16
description: updated
Pedro Villavicencio (pedro) wrote :

The bug has been fixed upstream, thanks a lot for reporting.

Changed in rhythmbox (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rhythmbox - 0.12.7-0ubuntu6

---------------
rhythmbox (0.12.7-0ubuntu6) lucid; urgency=low

  * debian/rhythmbox.manpages, debian/rhythmbox.1, debian/rhythmbox-client.1:
    - don't install those in the debian directory since they are upstream too
  * debian/patches/91_git_mtp_schemas.patch:
    - git change to define the mtp options schemas so it's actived and working
  * debian/patches/92_git_stop_playback_on_delete.patch:
    - git change to fix a crasher on source change (lp: #148361)
  * debian/patches/93_git_ipod_crasher.patch:
    - git change to fix a crasher when some filenames are copied to ipods
      (lp: #476167)
  * debian/patches/94_git_no_entry_view_crasher.patch:
    - git change to fix a crasher happening sometime when going to
      the playing song (lp: #507608)
  * debian/patches/95_git_correctly_update_names.patch:
    - git change to update sort and display names in correct order (lp: #532538)
  * debian/patches/96_git_subsequent_commits.patch:
    - git change to fix another crasher (lp: #429030)
  * debian/patches/97_git_stop_podcast_download_no_error.patch:
    - git change, don't handle podcast download stop as an error

  [ Ken VanDine ]
  * debian/patches/82_rhythmbox-indicators.patch
    - update from Jan Arne Petersen to remove some work arounds
      that were needed prior to libappindicator 0.0.16
 -- Sebastien Bacher <email address hidden> Fri, 19 Mar 2010 00:29:49 +0100

Changed in rhythmbox (Ubuntu):
status: Fix Committed → Fix Released
Changed in rhythmbox:
importance: Unknown → Critical
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.